Blog iconSecureDoc, PCI DSS, and TLS 1.2 by June 30, 2018 [Product Update]

Carolina Advanced Digital, Inc. > Blog > Blog > SecureDoc, PCI DSS, and TLS 1.2 by June 30, 2018 [Product Update]

SecureDoc, PCI DSS, and TLS 1.2 by June 30, 2018 [Product Update]

For our clients using Winmagic SecureDoc and required to meet PCI DSS standards, please read this important Product Update.

Are you still using Secure Sockets Layer (SSL) or early Transport Layer Security (TLS) protocols? As a valued partner of WinMagic, we want to inform you that – as of June 30, 2018 – those required to meet the PCI Data Security Standard (PCI DSS) must migrate to a more secure protocol (TLS 1.2 is recommended).

Today, WinMagic is pleased to offer our customers seamless support for TLS 1.2 with SecureDoc 8.2 Hotfix 2 (HF2), now available as a simple SecureDoc Enterprise Server (SES) upgrade – no client upgrades required.

How Do I Upgrade?

WinMagic always recommends upgrading to the latest SecureDoc release to ensure support for the newest OS versions, firmware and hardware.

If you are already a WinMagic customer with an active support plan, please contact support@winmagic.com for your SecureDoc upgrade. Then, simply login to our Knowledge Base and find Article 1755 with release notes and step-by-step instructions for installation.

For customers without a support plan, please contact your account manager or our inside sales team at sales (at) cadinc.com.